## org.eclipse.m2m.qvt.oml.debug.core
Class QVTODebugCore

    java.lang.Object
      Plugin
          org.eclipse.m2m.qvt.oml.debug.core.QVTODebugCore

    public class QVTODebugCore

extends Plugin

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` `BREAKPOINT_MARKER_ID`
`static java.lang.String` `MODEL_ID`
`static java.lang.String` `PLUGIN_ID`
`static Trace` `TRACE`

Constructor Summary
`QVTODebugCore()` The constructor

Method Summary
`static IStatus` `createError(java.lang.String message, int code, java.lang.Throwable throwable)`
`static IStatus` `createStatus(int severity, java.lang.String message)`
`static IStatus` `createStatus(int severity, java.lang.String message, java.lang.Throwable throwable)`
`static QVTODebugCore` `getDefault()` Returns the shared instance

`static

`<T extends IBreakpoint> java.util.List<T>`

`

`getQVTOBreakpoints(java.lang.Class<T> breakpointType)`

`static void` `log(IStatus status)`
`URI` `resolvePlatformPluginURI(IFile file)`
`IFile` `resolveWorskpaceFile(URI uri)`
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BREAKPOINT_MARKER_ID

    public static final java.lang.String BREAKPOINT_MARKER_ID

See Also:
  Constant Field Values

### MODEL_ID

    public static final java.lang.String MODEL_ID

See Also:
  Constant Field Values

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### TRACE

    public static Trace TRACE

Constructor Detail

### QVTODebugCore

    public QVTODebugCore()

  The constructor

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefault

    public static QVTODebugCore getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### createStatus

    public static IStatus createStatus(int severity,
                                       java.lang.String message,
                                       java.lang.Throwable throwable)

### createStatus

    public static IStatus createStatus(int severity,
                                       java.lang.String message)

### createError

    public static IStatus createError(java.lang.String message,
                                      int code,
                                      java.lang.Throwable throwable)

### log

    public static void log(IStatus status)

### getQVTOBreakpoints

    public static <T extends IBreakpoint> java.util.List<T> getQVTOBreakpoints(java.lang.Class<T> breakpointType)

### resolvePlatformPluginURI

    public URI resolvePlatformPluginURI(IFile file)

### resolveWorskpaceFile

    public IFile resolveWorskpaceFile(URI uri)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.